# BarcodeAdditionalParameters class

A class that contains additional parameters for barcodes detection and filtering.

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

BarcodeAdditionalParameters({bool? enableGS1Decoding, int? minimumTextLength, int? maximumTextLength, int? minimum1DBarcodesQuietZone, MSIPlesseyChecksumAlgorithm? msiPlesseyChecksumAlgorithm, bool? stripCheckDigits})

## Properties

enableGS1Decoding ↔ bool?
  With this option, the scanner assumes that the barcode can be a GS1 barcode, and modifies the behavior as needed. You can set it to FALSE, if you don't want to see decoded FNC1 characters ("]C1" and ASCII char 29). The default is TRUE.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
maximumTextLength ↔ int?
  Maximum text length of the detected barcode. Setting to zero removes the limit. The default is 0. NOTE: Currently works for ITF barcodes only!
  read / write
minimum1DBarcodesQuietZone ↔ int?
  Minimum required quiet zone on the barcode. Measured in modules (the size of minimal bar on the barcode). The default is 10. NOTE: Currently works for ITF barcodes only!
  read / write
minimumTextLength ↔ int?
  Minimum required text length of the detected barcode. The default is 0. NOTE: Currently works for ITF barcodes only!
  read / write
msiPlesseyChecksumAlgorithm ↔ MSIPlesseyChecksumAlgorithm?
  The checksum algorithm for MSI Plessey barcodes. The default value is `Mod10'
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
stripCheckDigits ↔ bool?
  With this option enabled, the scanner removes checks digits for UPC, EAN and MSI Plessey codes. Has no effect if both single and double digit MSI Plessey checksums are enabled. The default is `false`
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited